Subject: bug#8426: Glyph and cursor problem with emacs

From: Matthew Carey <[email-masked]>
Date: Wed, 06 Apr 2011 11:16:33 +0100

I have switched off compositing and the problem appears to go away.

The machine is not identical to the one that does not have the problem in that
though both are 64bit the problem box is a Thinkpad T61 (7959-CT0) which has:

Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller

So the question is: Is this a bug in the graphics driver or SuSE's packaging of
the driver compositing software.

On 05/04/11 18:20, Eli Zaretskii wrote:
>> Date: Tue, 05 Apr 2011 18:08:50 +0100
>> From: Matthew Carey <[email-masked]>
>> CC: [email-masked]
>>
>> This is the output of C-u C-x =
>>
>>         character: i (105, #o151, #x69)
>> preferred charset: ascii (ASCII (ISO646 IRV))
>>        code point: 0x69
>>            syntax: w 	which means: word
>>          category: .:Base, a:ASCII, l:Latin, r:Roman
>>       buffer code: #x69
>>         file code: #x69 (encoded by coding system undecided-unix)
>>           display: by this font (glyph code)
>>     xft:-unknown-DejaVu Sans Mono-normal-normal-normal-*-13-*-*-*-m-0-iso10646-1
>> (#x4C)
> 
> Since you say that the same Emacs works fine when display is forwarded
> to another machine, I suspect some problem on the X server level.  I
> hope some expert on X (I'm not) will chime in, and find the above
> information useful.